[Numpy-discussion] Removing datetime support for 1.4.x series ?

David Cournapeau cournape@gmail....
Mon Feb 8 03:49:34 CST 2010


On Mon, Feb 8, 2010 at 10:23 AM, David Cournapeau <david@silveregg.co.jp> wrote:
> Jarrod Millman wrote:
>>  Just
>> to be clear, I would prefer to see the ABI-breaking release be called
>> 2.0.  I don't see why we have to get the release out in three weeks,
>> though.  I think it would be better to use this opportunity to take
>> some time to make sure we get it right.
>
> As a compromise, what about the following:
>        - remove ABI-incompatible changes for 1.4.x

This is done:

http://github.com/cournape/numpy/tree/abi_fix

This can be committed to svn in whatever branch we decide to put this
in. I have also committed changes into scipy 0.7.x, so that if
building scipy against numpy 1.3.0, and updating numpy from the above
branch still gives a working scipy (modulo one test which fails when
run against abi_fix numpy, but unlikely to be to ABI issues).

cheers,

David


More information about the NumPy-Discussion mailing list